For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all ReplicaSet

This endpoint enables retrieving all ReplicaSet using pagination and optional filters.

get
/replicasets
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.namestringOptional

Response filter to list only items contain the specified name. The value is case insensitive and matched on the 'displayName' field.

Responses
200

Returned all requested ReplicaSet successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of ReplicaSet resources.

Example: 2ec26f24-9fca-5576-8cda-03d6a0156bbc
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of ReplicaSet resources.

Example: /replicasets
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/replicasets
GET /replicasets HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "2ec26f24-9fca-5576-8cda-03d6a0156bbc",
  "type": "collection",
  "href": "/replicasets",
  "items": [
    {
      "id": "1046e9bf-dbc0-5bd3-9291-713d36ab77e9",
      "type": "replicaset",
      "href": "/replicasets/1046e9bf-dbc0-5bd3-9291-713d36ab77e9",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "message": "In progress.",
        "dnsName": "imdb01.example.com"
      },
      "properties": {
        "displayName": "In-Memory DB replica set",
        "version": "7.2",
        "replicas": 2,
        "resources": {
          "cores": 4,
          "ram": 4,
          "storage": 1
        },
        "persistenceMode": "None",
        "evictionPolicy": "allkeys-lru",
        "connections": [
          {
            "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
            "lanId": "2",
            "cidr": "192.168.1.100/24"
          }
        ],
        "maintenanceWindow": {
          "time": "16:30:59",
          "dayOfTheWeek": "Monday"
        },
        "backup": {
          "location": "de"
        },
        "credentials": {
          "username": "DatabaseAdmin"
        },
        "initialSnapshotId": "12345678-1234-1234-1234-123456789012"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?